var str_logtypeval = ["1", "2", "3", "4", "5", "6", "7", "8"];
var total = 0,list=[];
var eroinfozh = {
    "0": "所有系统操作",
    "1": "系统更新",
    "2": "PTZ控制",
    "3": "非法关机",
    "4": "正常关机",
    "5": "启动",
    "6": "重启",
    "7": "清除报警",
    "8": "本地回放",
    "9": "本地备份",
    "10": "远程备份和回放",
    "100": "所有配置操作",
    "101": "记录时间表设置",
    "102": "正常设置",
    "103": "编码设置",
    "104": "网络设置",
    "105": "服务器设置",
    "106": "移动侦测设置",
    "107": "PTZ解码设置",
    "108": "恢复默认设置",
    "109": "设置显示设备参数",
    "110": "显示模式设置",
    "111": "图像色彩设置",
    "112": "自动维护设置",
    "113": "报警输出设置",
    "114": "报警输入设置",
    "115": "自定义设置",
    "116": "导入PTZ协议",
    "117": "导出PTZ协议",
    "118": "导入参数设置",
    "119": "导出参数设置",
    "120": "不正常参数设置",
    "122": "IP冲突",
    "123": "解码模式参数配置",
    "124": "轮巡参数配置",
    "125": "人形侦测设置",
    "126": "越界侦测",
    "127": "电子围栏设置",
    "128": "PIR设置",
    "129": "人脸识别设置",
    "200": "所有记录设置",
    "201": "开始手动记录",
    "202": "开始自动记录",
    "203": "停止",
    "300": "用户管理所有子项",
    "301": "添加用户",
    "302": "删除用户",
    "303": "修改用户",
    "304": "用户登陆",
    "305": "用户退出",
    "400": "所有报警事件",
    "401": "移动侦测报警开始",
    "402": "移动侦测报警结束",
    "403": "报警输入开始",
    "404": "人脸检测开始",
    "405": "人脸检测结束",
    "406": "设备连接成功",
    "407": "设备连接失败",
    "408": "尺寸不对",
    "409": "越界侦测报警开始",
    "410": "越界侦测报警结束",
    "411": "电子围栏报警开始",
    "412": " 电子围栏报警结束",
    "413": "人形侦测报警开始",
    "414": "人形侦测报警停止",
    "415": "PIR侦测报警开始",
    "416": "PIR侦测报警结束",
    "417": "人脸侦测报警开始",
    "418": "人脸侦测报警停止",
    "500": "所有异常事件",
    "501": "IP配置",
    "502": "硬盘已满",
    "503": "硬盘错误",
    "504": "非法访问",
    "505": "信号异常",
    "506": "信号恢复",
    "507": "网络断开",
    "600": "所有存储管理",
    "601": "格式化分区",
    "602": "创建分区",
    "603": "删除分区",
    "604": "卸载硬盘",
    "605": "硬盘组管理",
    "700": "网络事件所有",
    "701": "网络连接成功",
    "702": "网络连接失败",
    "703": "网络已断开",
    "704": "网络恢复",
    "705": "网络主动断开",
    "800": "智能门禁事件所有",
    "801": "人脸比对开门",
    "802": "密码开门",
    "803": "刷卡开门",
    "804": "按键开门（无）",
    "805": "远程开门",
};
var _table=null;
var aoColumns = [{
    "mData": "id",
    // "sWidth":"32%"//设置列宽
}, {
    "mData": "event",

}, {
    "mData": "time",
}];
$(document).ready(function() {
    config.lastnav="log";
    initLog();
    $("#logSearch").click(function () {//客户端分页
        list = searchLog();
        $("#logTable").dataTable().fnClearTable();
        $("#logTable").dataTable().fnAddData(list,true)
	});
});
function initLog(){
    var log = $.i18n.prop("i18n-log-type").split(",")
    for (var i = 0; i < log.length; i++) {
        $("<option value='" + str_logtypeval[i] + "'>" + log[i] + "</option>").appendTo("#lgType");
    }
    $("#lgType").select2({
        width: 280,
        height: 40,
        minimumResultsForSearch: -1// 隐藏搜索
    });
    $("#lgType").select2("val",str_logtypeval[log.length - 1]);

    var now = $.dateFormat(Date.now());
    now = now.split(" ")[0] + " 00:00:00"
    $("#logStartTime").val(now);
    $("#logEndTime").val($.dateFormat());
    $("#logStartTime").datetimepicker({
        format: "yyyy-mm-dd hh:ii:ss",
        autoclose: true, // 选择日期后关闭
        language: 'zh-CN', //显示语言为中文
    }).on("click", function (e) {
        e.currentTarget.blur() ;
        $("#logStartTime").datetimepicker("setEndDate", $("#logEndTime").val())
    });
    $("#logEndTime").datetimepicker({
        format: "yyyy-mm-dd hh:ii:ss",
        autoclose: true, // 选择日期后关闭
        language: 'zh-CN', //显示语言为中文
    }).on("click", function () {
        e.currentTarget.blur() ;
        $("#logEndTime").datetimepicker("setStartDate", $("#logStartTime").val())
    });
    dataTableDraw();

}
function searchLog() {
    var list = [];
	var sTime = $("#logStartTime").val().split(" ").join("T")
	var eTime = $("#logEndTime").val().split(" ").join("T")
    var xmlUrl =config.baseUrl + "/System/Logging?majorType=" +$("#lgType").select2("val") + "&minorType=0&startTime=" + sTime + "&stopTime=" + eTime;
	$.ajax({
		url: xmlUrl,
		type: "get",
		async: false,
		timeout: 30000,
		dataType:"xml",
		beforeSend: function(xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
		},
		success: function(xmlDoc, textStatus, xhr) {
            var size = $(xmlDoc).find('LogList').eq(0).find('Log').length;
            total = size;
            for (var index = 0; index < size; index++) {
                var itme = {};
                itme.id = index + 1;
                var netUser = $(xmlDoc).find('LogList').find('Log').eq(index).find('netUser').text();
                var hostIPAddress = $(xmlDoc).find('LogList').find('Log').eq(index).find('hostIPAddress').text();
                var minorType = $(xmlDoc).find('LogList').find('Log').eq(index).find('minorType').text();
                itme.event = netUser + "-[" + hostIPAddress + "]" + eroinfozh[minorType];
                var time = $(xmlDoc).find('LogList').find('Log').eq(index).find('time').text();
                var y=time.substring(0,4),m=time.substring(4,6),d=time.substring(6,8),h=time.substring(8,10),ms=time.substring(10,12),s=time.substring(12,14);
                itme.time = y + "-" + m + "-" + d + " " + h + ":" + ms + ":" + s;
                list.push(itme);

            }
		},
		error:function(XMLHttpRequest, textStatus, errorThrown) {}
    });
    return list;
}
function dataTableDraw() {
    _table = new table("logTable", {
        retrieve: true,
        bDestroy: false,
        aaData:list ,
        aoColumns: aoColumns,
        bSort : false,
        bAutoWidth : false,
        bLengthChange : true, // 开关，是否显示每页大小的下拉框
        bLengthALL : true, // 开关，是否显示每页大小的下拉框
        bExcel : true, // 数据导出Excel 开关
        bCopy : false, // 数据导出Copy 开关
        bColvis : false, //数据导出print 开关
        fixedHeader : false, // 表头锁定
        pageSize: 10,
        bDestroy: false, //解决重新渲染问题
    });
}
